Kerbal Space Program - Bug #13200

Adjust orbit contract satisfied by old orbit
11/08/2016 01:14 AM - mdosogne
Description

| just accepted a "position craft X in an adjusted orbit" style contract. The requested orbit was so close to the original orbit that the

contract was satisfied 10 seconds after switching to the craft - without ever changing orbits.

If the existing orbit falls within the margin of error for a contract's randomly generated new orbit parameters, please discard the

contract or re-generate a new random orbit :)

History

#1 - 11/08/2016 01:43 AM - mdosogne
Note: 1 mod in use: KER

Vessel Name: Munar Recon Relay

Current Orbit (from KER readout)
Apoapsis: 265,072.5m

Periapsis: 246,336.0m

Inclination: 90.028

Longitude of Ascending Node: 233.17

Contract (two-star) orbit specifics:
Apoapsis: 259,903m

Periapsis: 246,336m

Inclination: 90 deg

Longitude of Ascending Node: 233.2 deg

#2 - 11/08/2016 01:45 AM - mdosogne

- File persistent.sfs added

Savefile Attached.

#3 - 11/27/2016 09:27 AM - AlffromKerbal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Using Linux, i had this some time before.

Files

persistent.sfs 1.17 MB
